Loading...
Searching...
No Matches
Magick::magickImage Class Reference

## Public Member Functions

| magickImage (const std::string &magick_)
void | operator() (Image &image_) const

## Private Attributes

std::string | _magick

## Detailed Description

Definition at line 1537 of file STL.h.

## Constructor & Destructor Documentation

## magickImage()

Magick::magickImage::magickImage | ( | const std::string & | magick_ | ) |

Definition at line 1410 of file STL.cpp.

: _magick( magick_ )
{
}

## Member Function Documentation

## operator()()

void Magick::magickImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1414 of file STL.cpp.

{
image_.magick( _magick );
}

## Field Documentation

## _magick

std::string Magick::magickImage::_magick

private

Definition at line 1545 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp